M100851: Obtaining and deploying Windows Update Agent 3.0

Windows Update Agent (WUA) is used by Microsoft Baseline Security Analyzer (MBSA) 2.1 to scan for and detect security vulnerabilities in Microsoft software installed on Windows computers. The latest security bulletin information published by Microsoft for use with MBSA requires that Window Update Agent version 3.0 is installed in order to successfully scan for compliance with these bulletins. This article describes how to obtain the Windows Update Agent version 3.0 for use with ManageSoft Security Manager releases 7.7 to 7.9.


Windows Update Agent 3.0 must be installed on managed devices in order to successfully perform security compliance analysis with MBSA 2.1 if you are using:

  • ManageSoft Security Manager 7.7 or later on your administration server; and
  • ManageSoft for managed devices 7.2 or later on your managed devices.

To obtain and deploy the latest available ManageSoft package for MBSA, please see Knowledge Base article 100901 "Deploying the latest Microsoft Baseline Security Analyzer 2.1 package" in the Related articles section below.


  1. If you have Deployment Manager 7.8.1 or earlier on your administration server, some changes are required to your server in order to support Windows XP 64-bit and Vista environments that are referenced in the WUA package. The files to implement these changes are available in the .zip file attached to this article below. Extract the mswVistamswXP64 and amd64 files from the archive and place them in to theManageSoft\Repository\Environments folder on your administration server. Execute the Architecture.sqlscript from the archive using SQL Query Analyzer or SQL Server Management Studio.
  2. Download http://www.managesoft.com/support/downloads/WindowsUpdateAgent.zip. This archive contains a ManageSoft package (version 7,0,6000,381, last updated November 1, 2007) that can be used to deploy WUA 3.0. Uncompress this archive to a temporary location and receive the package into an appropriate location in your software library. A typical location to receive the package in to would be Microsoft\Windows Update Agent\7.0.6000.381\Rev1.0.
  3. Edit the MBSA 2.1 package that is currently in your software library to remove the existing prerequisite on WUA that is in that package, and add a new prerequisite to the MBSA package point to the WUA package that you have just received.
  4. Distribute the updated MBSA package and the new WUA package to all appropriate distribution locations.
  5. Typically the WUA package will not be in computer policy - only the MBSA package will be in policy. However if you have added the old WUA package to policy, you will need to replace the old version with the new version of the package in policy.

Note that Windows Vista and Windows XP 64-bit is only supported on computers that have ManageSoft for managed devices release 7.9 or later installed.

Related Document

M100901: Deploying the latest Microsoft Baseline Security Analyzer 2.1 package


Have more questions? Submit a request


Powered by Zendesk